From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-auth/sssd/
Date: Sat, 15 May 2021 16:13:36 +0000 (UTC) [thread overview]
Message-ID: <1621094723.4ba2a3a242005962bd8f7ab51a60b5a1a13b3f4f.whissi@gentoo> (raw)
commit: 4ba2a3a242005962bd8f7ab51a60b5a1a13b3f4f
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sat May 15 15:51:20 2021 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat May 15 16:05:23 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ba2a3a2
sys-auth/sssd: fix style
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
sys-auth/sssd/sssd-2.5.0.ebuild | 23 ++++++++++++++---------
1 file changed, 14 insertions(+), 9 deletions(-)
diff --git a/sys-auth/sssd/sssd-2.5.0.ebuild b/sys-auth/sssd/sssd-2.5.0.ebuild
index 5589ebcb8df..4242b9b973e 100644
--- a/sys-auth/sssd/sssd-2.5.0.ebuild
+++ b/sys-auth/sssd/sssd-2.5.0.ebuild
@@ -104,12 +104,17 @@ pkg_setup() {
}
src_prepare() {
- sed -i 's:/var/run:/run:' \
- "${S}"/src/examples/logrotate || die
-
default
+
+ sed -i \
+ -e 's:/var/run:/run:' \
+ "${S}"/src/examples/logrotate \
+ || die
+
eautoreconf
+
multilib_copy_sources
+
if use python && multilib_is_native_abi; then
python_setup
fi
@@ -142,6 +147,7 @@ multilib_src_configure() {
--with-nscd="${EPREFIX}"/usr/sbin/nscd
--with-unicode-lib="glib2"
--disable-rpath
+ --disable-static
--sbindir=/usr/sbin
--enable-local-provider
$(multilib_native_use_with systemd kcm)
@@ -212,6 +218,10 @@ multilib_src_compile() {
fi
}
+multilib_src_test() {
+ multilib_is_native_abi && emake check
+}
+
multilib_src_install() {
if multilib_is_native_abi; then
emake -j1 DESTDIR="${D}" "${_at_args[@]}" install
@@ -219,7 +229,6 @@ multilib_src_install() {
python_optimize
python_fix_shebang "${ED}"
fi
-
else
# easier than playing with automake...
dopammod .libs/pam_sss.so
@@ -264,7 +273,7 @@ multilib_src_install_all() {
keepdir /var/log/sssd
# strip empty dirs
- if ! use doc ; then
+ if ! use doc; then
rm -r "${ED}"/usr/share/doc/"${PF}"/doc || die
rm -r "${ED}"/usr/share/doc/"${PF}"/{hbac,idmap,nss_idmap,sss_simpleifp}_doc || die
fi
@@ -272,10 +281,6 @@ multilib_src_install_all() {
rm -r "${ED}"/run || die
}
-multilib_src_test() {
- multilib_is_native_abi && emake check
-}
-
pkg_postinst() {
elog "You must set up sssd.conf (default installed into /etc/sssd)"
elog "and (optionally) configuration in /etc/pam.d in order to use SSSD"
next reply other threads:[~2021-05-15 16:13 UTC|newest]
Thread overview: 109+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-05-15 16:13 Thomas Deutschmann [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-15 11:19 [gentoo-commits] repo/gentoo:master commit in: sys-auth/sssd/ James Le Cuirot
2025-01-15 11:19 James Le Cuirot
2025-01-12 14:49 Sam James
2024-12-11 1:53 Sam James
2024-12-10 5:45 Sam James
2024-12-10 5:45 Sam James
2024-12-08 22:42 Mike Gilbert
2024-12-06 22:23 Sam James
2024-12-06 11:34 Sam James
2024-10-27 5:32 Sam James
2024-10-27 5:32 Sam James
2024-10-27 5:32 Sam James
2024-10-27 5:32 Sam James
2024-10-27 5:32 Sam James
2024-10-14 19:10 Ben Kohler
2024-09-11 0:15 Sam James
2024-08-31 2:23 Sam James
2024-08-31 2:23 Sam James
2024-08-06 16:18 James Le Cuirot
2024-07-17 4:56 Sam James
2024-07-17 4:56 Sam James
2024-06-05 20:12 Arthur Zamarin
2024-06-05 20:12 Arthur Zamarin
2024-03-25 8:38 Sam James
2024-03-25 8:38 Sam James
2024-01-23 11:49 David Seifert
2024-01-23 11:44 David Seifert
2024-01-05 14:02 Sam James
2023-10-10 6:14 Joonas Niilola
2023-10-09 1:21 Sam James
2023-09-05 20:15 David Seifert
2023-05-14 0:31 Sam James
2023-05-01 17:55 Sam James
2023-05-01 17:55 Sam James
2023-05-01 17:55 Sam James
2023-03-25 11:03 David Seifert
2022-04-24 1:18 Sam James
2022-03-28 9:36 Jakov Smolić
2022-03-28 9:35 Jakov Smolić
2021-11-07 20:26 David Seifert
2021-11-07 20:24 David Seifert
2021-10-25 8:00 Joonas Niilola
2021-10-22 9:00 Sam James
2021-10-22 9:00 Sam James
2021-10-03 11:28 David Seifert
2021-09-18 23:46 Sam James
2021-09-18 23:46 Sam James
2021-09-18 23:46 Sam James
2021-09-04 17:35 David Seifert
2021-07-20 7:22 Lars Wendler
2021-07-18 13:55 Mikle Kolyada
2021-06-13 18:21 Thomas Deutschmann
2021-05-15 16:13 Thomas Deutschmann
2021-05-15 16:13 Thomas Deutschmann
2021-05-15 16:13 Thomas Deutschmann
2021-05-15 13:59 David Seifert
2021-05-14 16:12 Thomas Deutschmann
2021-02-21 2:33 Thomas Deutschmann
2021-02-21 2:33 Thomas Deutschmann
2020-10-18 15:29 Mikle Kolyada
2020-10-18 15:29 Mikle Kolyada
2020-10-18 11:18 Mikle Kolyada
2020-10-11 21:55 Matt Turner
2020-10-10 11:36 Mikle Kolyada
2020-09-28 20:43 Sam James
2020-09-23 20:18 Matt Turner
2020-08-25 1:11 Matt Turner
2020-08-24 23:05 Matt Turner
2020-08-16 2:19 Matt Turner
2020-08-15 19:10 Matt Turner
2020-08-15 2:12 Matt Turner
2020-08-14 20:48 Matt Turner
2020-08-14 19:41 Matt Turner
2020-08-14 19:41 Matt Turner
2020-05-18 8:13 Alexey Shvetsov
2020-02-14 13:45 Mikle Kolyada
2019-12-08 18:26 Mikle Kolyada
2019-11-01 7:27 Mikle Kolyada
2019-10-12 18:49 Mikle Kolyada
2019-09-07 17:48 Matt Turner
2019-08-12 21:44 Mikle Kolyada
2019-06-16 10:31 Mikle Kolyada
2019-05-23 9:19 Alexey Shvetsov
2019-04-17 16:25 Mikle Kolyada
2019-03-09 9:02 Mikle Kolyada
2019-03-09 9:02 Mikle Kolyada
2019-03-08 16:55 Mikle Kolyada
2019-03-08 15:10 Mikle Kolyada
2018-10-31 6:33 Alexey Shvetsov
2018-10-05 20:15 Mikle Kolyada
2018-10-05 15:15 Mikle Kolyada
2018-10-05 13:05 Mikle Kolyada
2018-10-05 13:03 Mikle Kolyada
2018-10-05 12:58 Mikle Kolyada
2018-10-05 9:43 Mikle Kolyada
2018-10-05 9:36 Mikle Kolyada
2018-10-05 9:33 Mikle Kolyada
2018-08-28 18:42 Sergei Trofimovich
2018-07-19 15:11 Mikle Kolyada
2018-03-28 1:04 Matt Turner
2017-08-13 11:24 David Seifert
2017-07-12 14:43 Pacho Ramos
2017-06-17 19:15 Sergei Trofimovich
2017-04-20 16:41 David Seifert
2016-06-21 6:04 Aaron Bauman
2015-11-14 8:07 Jeroen Roovers
2015-11-04 21:09 Markos Chandras
2015-08-28 11:50 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1621094723.4ba2a3a242005962bd8f7ab51a60b5a1a13b3f4f.whissi@gentoo \
--to=whissi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox